<div class="page-header">
  <div class="page-header__title">Brooks Corey</div>
  <div class="page-header__tools">
    <a class="page-header__link" routerLink="/brooks-corey">Cancel</a
    ><a class="page-header__link" (click)="saveCalculation()">Save</a>
  </div>
</div>
<div *ngIf="calculatedData" class="page-content">
  <bc-file-reselect-block [fileName]="(brooksCoreyService.rawData$ | async).name"></bc-file-reselect-block>
  <bc-overview-table [data]="calculatedData"></bc-overview-table>
  <mat-accordion [multi]="true" class="accordion">
    <mat-expansion-panel *ngFor="let data of calculatedData; let i = index; trackBy: trackByFn">
      <mat-expansion-panel-header class="job-group-header">
        <mat-panel-title class="title"> {{ data.input.name }}, {{ data.input.depth }} Feet </mat-panel-title>
      </mat-expansion-panel-header>
      <ng-template matExpansionPanelContent>
        <bc-output-data-block [data]="data" (recalculated)="sampleRecalculated($event, i)"></bc-output-data-block>
      </ng-template>
    </mat-expansion-panel>
  </mat-accordion>
</div>
<gng-spinner class="spinner" *ngIf="loading"></gng-spinner>
